#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define min_version %(echo %{version}|cut -d. -f1,2)

%define framework ktexteditor

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 with advanced embeddable text editor
Epoch:          2
Name:           kf5-%{framework}
Version: 5.115.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5XmlPatterns)

BuildRequires:  cmake(KF5Archive) >= %min_version
BuildRequires:  cmake(KF5Config) >= %min_version
BuildRequires:  cmake(KF5GuiAddons) >= %min_version
BuildRequires:  cmake(KF5I18n) >= %min_version
BuildRequires:  cmake(KF5KIO) >= %min_version
BuildRequires:  cmake(KF5Parts) >= %min_version
BuildRequires:  cmake(KF5Sonnet) >= %min_version
BuildRequires:  cmake(KF5IconThemes) >= %min_version
BuildRequires:  cmake(KF5SyntaxHighlighting) >= %min_version
BuildRequires:  cmake(KF5TextWidgets) >= %min_version

# OPTIONAL packages
BuildRequires:  pkgconfig(libgit2)
BuildRequires:  editorconfig-devel

Conflicts:      %{framework} < 2:5.113.0


%description
KDE Frameworks 5 Tier 3 with advanced embeddable text editor.

%files -f ktexteditor5.lang
%{_kf5_categoriesdir}/ktexteditor.*categories
%{_kf5_plugindir}/parts/katepart.so
%{_kf5_services}/katepart.desktop
%{_kf5_servicetypes}/*.desktop
%{_kf5_datadir}/katepart5/script
%{_kf5_datadir}/dbus-1/system.d/org.kde.ktexteditor.katetextbuffer.conf
%{_libexecdir}/kauth/kauth_ktexteditor_helper
%{_kf5_datadir}/dbus-1/system-services/org.kde.ktexteditor.katetextbuffer.service
%{_kf5_datadir}/polkit-1/actions/org.kde.ktexteditor.katetextbuffer.policy
%{_kf5_datadir}/kdevappwizard/templates/ktexteditor-plugin.tar.bz2

#--------------------------------------------------------------------

%define kf5texteditor_major 5
%define libkf5texteditor %mklibname kf5texteditor %{kf5texteditor_major}

%package -n %libkf5texteditor
Summary:        KDE Frameworks 5 Tier 3 with advanced embeddable text editor
Group:          System/Libraries

%description -n %libkf5texteditor
KDE Frameworks 5 Tier 3 with advanced embeddable text editor.

%files -n %libkf5texteditor
%{_kf5_libdir}/libKF5TextEditor.so.%{kf5texteditor_major}{,.*}

#--------------------------------------------------------------------

%define kf5texteditor_devel %mklibname kf5texteditor -d

%package -n %kf5texteditor_devel
Summary:        Devel stuff for %framework
Group:          Development/KDE and Qt
Requires:       %libkf5texteditor = %epoch:%version-%release
Requires:       %name = %epoch:%version-%release
Provides:       %framework-devel = %epoch:%{version}-%{release}

%description -n %kf5texteditor_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %kf5texteditor_devel
%{_kf5_libdir}/libKF5TextEditor.so
%{_kf5_libdir}/cmake/KF5TextEditor/
%{_kf5_includedir}/KTextEditor/
%{_kf5_mkspecsdir}/qt_KTextEditor.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{framework}5



%changelog
* Mon Feb 12 2024 daviddavid <daviddavid> 2:5.115.0-1.mga10
+ Revision: 2040590
- New version 5.115.0

* Sat Jan 20 2024 daviddavid <daviddavid> 2:5.114.0-1.mga10
+ Revision: 2032339
- New version 5.114.0

* Sat Jan 06 2024 daviddavid <daviddavid> 2:5.113.0-1.mga10
+ Revision: 2028405
- New version 5.113.0

* Mon Apr 10 2023 neoclust <neoclust> 2:5.105.0-1.mga9
+ Revision: 1952073
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 2:5.104.0-1.mga9
+ Revision: 1947876
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 2:5.103.0-1.mga9
+ Revision: 1941382
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 2:5.102.0-1.mga9
+ Revision: 1935032
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 2:5.101.0-1.mga9
+ Revision: 1922283
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 2:5.100.0-1.mga9
+ Revision: 1911647
- New version 5.100.0

* Wed Nov 02 2022 neoclust <neoclust> 2:5.99.0-1.mga9
+ Revision: 1901731
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 2:5.98.0-1.mga9
+ Revision: 1887687
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 2:5.97.0-1.mga9
+ Revision: 1880633
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 2:5.96.0-1.mga9
+ Revision: 1871733
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 2:5.93.0-1.mga9
+ Revision: 1853253
- New version 5.93.0

* Sat Apr 09 2022 neoclust <neoclust> 2:5.92.0-2.mga9
+ Revision: 1848389
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Jan 03 2022 wally <wally> 2:5.88.0-2.mga9
+ Revision: 1766329
- rebuild for libgit2 1.3.0

* Mon Nov 08 2021 neoclust <neoclust> 2:5.88.0-1.mga9
+ Revision: 1754861
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 2:5.87.0-1.mga9
+ Revision: 1749113
- New version 5.87.0
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 2:5.84.0-1.mga9
+ Revision: 1735294
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 2:5.82.0-1.mga9
+ Revision: 1723487
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 2:5.81.0-1.mga9
+ Revision: 1714881
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 2:5.80.0-1.mga9
+ Revision: 1702059
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 2:5.79.0-1.mga9
+ Revision: 1691151
- New version 5.79.0

* Wed Dec 30 2020 luigiwalser <luigiwalser> 2:5.76.0-2.mga8
+ Revision: 1666240
- rebuild for libgit2

* Sun Dec 06 2020 daviddavid <daviddavid> 2:5.76.0-1.mga8
+ Revision: 1653367
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 2:5.75.0-1.mga8
+ Revision: 1633218
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 2:5.74.0-1.mga8
+ Revision: 1625643
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 2:5.73.0-1.mga8
+ Revision: 1612910
- New version 5.73.0

* Fri Jul 24 2020 daviddavid <daviddavid> 2:5.72.0-2.mga8
+ Revision: 1608621
- rebuild for new libgit2 1.0.1 (mga#26992)

* Wed Jul 08 2020 neoclust <neoclust> 2:5.72.0-1.mga8
+ Revision: 1603122
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 2:5.71.0-1.mga8
+ Revision: 1592817
- New version 5.71.0

* Sat May 16 2020 daviddavid <daviddavid> 2:5.70.1-1.mga8
+ Revision: 1584356
- New version 5.70.1

* Sat May 09 2020 daviddavid <daviddavid> 2:5.70.0-1.mga8
+ Revision: 1582043
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 2:5.69.0-1.mga8
+ Revision: 1566534
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 2:5.68.0-1.mga8
+ Revision: 1556711
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 2:5.67.0-2.mga8
+ Revision: 1546864
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 2:5.67.0-1.mga8
+ Revision: 1486847
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 2:5.65.0-1.mga8
+ Revision: 1466256
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 2:5.64.0-1.mga8
+ Revision: 1457641
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 2:5.63.0-1.mga8
+ Revision: 1451023
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 2:5.62.0-1.mga8
+ Revision: 1444835
- New version 5.62.0

* Fri Jul 12 2019 neoclust <neoclust> 2:5.60.0-1.mga8
+ Revision: 1420671
- New version 5.60.0

* Sat Apr 20 2019 wally <wally> 2:5.57.0-2.mga7
+ Revision: 1393752
- rebuild for libgit2 0.28.1

* Mon Apr 08 2019 neoclust <neoclust> 2:5.57.0-1.mga7
+ Revision: 1386963
- New version 5.57.0

* Sun Mar 31 2019 umeabot <umeabot> 2:5.56.0-2.mga7
+ Revision: 1382911
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 2:5.56.0-1.mga7
+ Revision: 1374595
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 2:5.55.0-1.mga7
+ Revision: 1364565
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 2:5.54.0-1.mga7
+ Revision: 1356688
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 2:5.53.0-1.mga7
+ Revision: 1339244
- New version 5.53.0

* Fri Oct 19 2018 neoclust <neoclust> 2:5.51.0-1.mga7
+ Revision: 1322532
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 2:5.49.0-2.mga7
+ Revision: 1298674
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 neoclust <neoclust> 2:5.49.0-1.mga7
+ Revision: 1248649
- New version 5.49.0

* Sat May 19 2018 neoclust <neoclust> 2:5.46.0-1.mga7
+ Revision: 1230486
- New version 5.46.0

* Tue Mar 27 2018 kekepower <kekepower> 2:5.42.0-2.mga7
+ Revision: 1212801
- Rebuild for new libgit2

* Thu Jan 11 2018 neoclust <neoclust> 2:5.42.0-1.mga7
+ Revision: 1192310
- New version 5.42.0

* Tue Dec 12 2017 neoclust <neoclust> 2:5.41.0-1.mga7
+ Revision: 1182360
- New version 5.41.0

* Wed Oct 04 2017 daviddavid <daviddavid> 2:5.38.0-2.mga7
+ Revision: 1168194
- enable EditorConfig support

* Wed Oct 04 2017 neoclust <neoclust> 2:5.38.0-1.mga7
+ Revision: 1168168
- New version 5.38.0

* Wed Aug 16 2017 neoclust <neoclust> 2:5.37.0-1.mga7
+ Revision: 1141149
- New version 5.37.0

* Sat Jul 22 2017 neoclust <neoclust> 2:5.36.0-1.mga7
+ Revision: 1126448
- New version 5.36.0

* Wed Mar 29 2017 neoclust <neoclust> 2:5.32.0-2.mga6
+ Revision: 1095170
- Rebuild against new libgit2

* Mon Mar 06 2017 neoclust <neoclust> 2:5.32.0-1.mga6
+ Revision: 1088992
- New version 5.32.0

* Wed Dec 14 2016 neoclust <neoclust> 2:5.29.0-1.mga6
+ Revision: 1074975
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 2:5.28.0-1.mga6
+ Revision: 1072228
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 2:5.27.0-1.mga6
+ Revision: 1058383
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 2:5.26.0-1.mga6
+ Revision: 1050560
- New version 5.26.0

* Sat Aug 27 2016 daviddavid <daviddavid> 2:5.25.0-2.mga6
+ Revision: 1049222
- enable LibGit2 support

* Tue Aug 09 2016 neoclust <neoclust> 2:5.25.0-1.mga6
+ Revision: 1045138
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 2:5.24.0-1.mga6
+ Revision: 1041360
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 2:5.23.0-1.mga6
+ Revision: 1021958
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 2:5.22.0-1.mga6
+ Revision: 1014368
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 2:5.21.0-1.mga6
+ Revision: 999658
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 2:5.20.0-1.mga6
+ Revision: 986351
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 2:5.19.0-1.mga6
+ Revision: 942277
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 2:5.18.0-1.mga6
+ Revision: 921304
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 2:5.17.0-2.mga6
+ Revision: 913072
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 2:5.17.0-1.mga6
+ Revision: 909894
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 2:5.16.0-4.mga6
+ Revision: 900576
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 2:5.16.0-3.mga6
+ Revision: 899556
- Rebuild against fixed extra-cmake-modules

* Mon Nov 09 2015 neoclust <neoclust> 2:5.16.0-2.mga6
+ Revision: 899313
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 2:5.15.0-1.mga6
+ Revision: 888188
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 2:5.14.0-1.mga6
+ Revision: 881412
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 2:5.13.0-1.mga6
+ Revision: 862973
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 2:5.12.0-3.mga6
+ Revision: 862739
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Thu Jul 16 2015 neoclust <neoclust> 2:5.12.0-2.mga6
+ Revision: 854608
+ rebuild (emptylog)

* Wed Jul 15 2015 neoclust <neoclust> 2:5.12.0-1.mga6
+ Revision: 854316
- New version 5.12.0
- New version 5.11.0
- New version 1.5.0
- New version 1.0.0
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jul 20 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 654560
- Fix Requires

* Tue Jul 15 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 653098
- imported package kf5-ktexteditor

